Subject: Re: [ietf-types] Registration of media type application/vnd.iptc.g2.newsmessage+xml
From: Mark Baker <[email-masked]>
To: "Michael Steidl (IPTC)" <[email-masked]>
Cc: [email-masked]
Date: Mon, 19 Sep 2011 16:49:28 -0400
List-Id: "Media \(MIME\) type review" <ietf-types.ietf.org>

On Mon, Sep 19, 2011 at 3:00 AM, Michael Steidl (IPTC)
<[email-masked]> wrote:
> File extension(s): .xml

Your users will appreciate a type-specific extension, otherwise
they'll have trouble configuring tools like Web servers that primarily
(or only) use the file extension to indicate the media type.

Mark.

From: Bjoern Hoehrmann <[email-masked]>
To: "Michael Steidl \(IPTC\)" <[email-masked]>
Date: Mon, 19 Sep 2011 18:06:32 +0200
Cc: [email-masked]
Subject: Re: [ietf-types] Registration of media type application/vnd.iptc.g2.newsmessage+xml

* Michael Steidl (IPTC) wrote:
>Optional parameters: charset
>
>identical to the charset parameter on application/xml as described
>in RFC 3023 [RFC3023] section 3.2

(I do not think this is an issue, but do note that this does not match
the wording in RFC 3023 section 7.1 exactly.)

>Published specification:
>
>NewsML-G2 version 2.9 specifications
>
>http://www.iptc.org/std/NewsML-G2/2.9/specification/individual/NewsML-G2_2.9-spec-NewsMessage-Core.xsd
>
>Or
>
>http://www.iptc.org/std/NewsML-G2/2.9/specification/individual/NewsML-G2_2.9-spec-NewsMessage-Power.xsd

I think most people would expect for this field something more like the
"implementation guide" that comes along with version 2.7.

>Applications which use this media type: none

This field is supposed to put the type in some context, like "3d
modeling software".

>Person to contact for further information:
>
>Name: Michael Steidl
>
>E-mail: [email-masked]
>
> 
>
>Author/Change controller:
>
>Name: Michael Steidl
>
>E-mail: [email-masked]

This does not quite match the template in RFC 4288, there should be a
field "Person & email address to contact for further information" and a
field "Author:" and a field "Change controller:". Also, it is customary
to write `Michael Steidl <[email-masked]>` instead.
-- 
Björn Höhrmann · mailto:[email-masked] · http://bjoern.hoehrmann.de
Am Badedeich 7 · Telefon: +49(0)160/4415681 · http://www.bjoernsworld.de
25899 Dagebüll · PGP Pub. KeyID: 0xA4357E78 · http://www.websitedev.de/ 

From: "Michael Steidl \(IPTC\)" <[email-masked]>
To: <[email-masked]>
Date: Mon, 19 Sep 2011 09:00:27 +0200
Organization: IPTC
Subject: [ietf-types] Registration of media type application/vnd.iptc.g2.newsmessage+xml

This is a multi-part message in MIME format.

------=_NextPart_000_009E_01CC76AA.932364F0
Content-Type: text/plain;
	charset="utf-8"
Content-Transfer-Encoding: quoted-printable

Media Type Name: application

=20

Subtype name: vnd.iptc.g2.newsmessage+xml

=20

Required parameters: none

=20

Optional parameters: charset

identical to the charset parameter on application/xml as described

in RFC 3023 [RFC3023] section 3.2

=20

Encoding considerations: Identical to those of application/xml as

described in RFC 3023, section 3.2

=20

Security considerations: In regards to general XML Security issues,

identical to those of "application/xml" as described in RFC3023,

section 10. Beyond these general XML Security issues, the media

type does not contain active or executable content. The information

contained in the media type does not require privacy or integrity

services, however the media type does support the use of the XML

syntax and processing rules for creating and representing digital

signatures as described by RFC3275.

=20

Interoperability considerations:

=20

Published specification:

=20

NewsML-G2 version 2.9 specifications

=20

http://www.iptc.org/std/NewsML-G2/2.9/specification/individual/NewsML-G2_=
2.9-spec-NewsMessage-Core.xsd

=20

Or

=20

http://www.iptc.org/std/NewsML-G2/2.9/specification/individual/NewsML-G2_=
2.9-spec-NewsMessage-Power.xsd

=20

Applications which use this media type: none

=20

Additional information:

=20

Magic number(s): none

=20

File extension(s): .xml

=20

Macintosh File Type Code(s): Identical to those of

"application/xml" as described in RFC3023, "TEXT"

=20

Windows Clipboard Flavor Name: "IPTC NewsMessage XML"

=20

Macintosh Uniform Type Identifier: org.iptc.newsmessage conforms to =
public.xml

=20

Object Identifier(s) or OID(s):

It must be possible to positively identify an Item as it moves

through the news workflow, and is transferred from place to place

and from system to system. An Item therefore gets a globally

unique identifier (guid), which is a persistent, universally unique

identifier, and a version which is incremented when the content of

the Item is updated. The first version is numbered 1: if the version

is not explicitly set, this value must be assumed by the recipient of

the Item. The guid is required to be in the form of a IRI. Any IRI

capable of acting as a globally unique identifier is accepted; the

IPTC provides a standard for this purpose in the form of an IETF RFC

[RFC-3085].

=20

Intended usage:

=20

A News Message is a wrapper of one or more IPTC G2 items for=20

distribution and transmission purposes. It provides =
transmission-specific=20

properties in a header which is shared by all included IPTC G2 items.

=20

Other Information/General Comment: none

=20

Person to contact for further information:

Name: Michael Steidl

E-mail: [email-masked]

=20

Author/Change controller:

Name: Michael Steidl

E-mail: [email-masked]

=20

=20

=20

Michael Steidl

Managing Director of the IPTC [[email-masked]]

International Press Telecommunications Council=20
Web:  <http://www.iptc.org/> www.iptc.org - on Twitter  =
<http://www.twitter.com/IPTC> @IPTC

Business office address:=20

20 Garrick Street, London WC2E 9BT, United Kingdom

Registered in England, company no 101096

=20

------=_NextPart_000_009E_01CC76AA.932364F0
Content-Type: text/html;
	charset="utf-8"
Content-Transfer-Encoding: quoted-printable

<html xmlns:v=3D"urn:schemas-microsoft-com:vml" =
xmlns:o=3D"urn:schemas-microsoft-com:office:office" =
xmlns:w=3D"urn:schemas-microsoft-com:office:word" =
xmlns:x=3D"urn:schemas-microsoft-com:office:excel" =
xmlns:p=3D"urn:schemas-microsoft-com:office:powerpoint" =
xmlns:a=3D"urn:schemas-microsoft-com:office:access" =
xmlns:dt=3D"uuid:C2F41010-65B3-11d1-A29F-00AA00C14882" =
xmlns:s=3D"uuid:BDC6E3F0-6DA3-11d1-A2A3-00AA00C14882" =
xmlns:rs=3D"urn:schemas-microsoft-com:rowset" xmlns:z=3D"#RowsetSchema" =
xmlns:b=3D"urn:schemas-microsoft-com:office:publisher" =
xmlns:ss=3D"urn:schemas-microsoft-com:office:spreadsheet" =
xmlns:c=3D"urn:schemas-microsoft-com:office:component:spreadsheet" =
xmlns:odc=3D"urn:schemas-microsoft-com:office:odc" =
xmlns:oa=3D"urn:schemas-microsoft-com:office:activation" =
xmlns:html=3D"http://www.w3.org/TR/REC-html40" =
xmlns:q=3D"http://schemas.xmlsoap.org/soap/envelope/" =
xmlns:rtc=3D"http://microsoft.com/officenet/conferencing" =
xmlns:D=3D"DAV:" xmlns:Repl=3D"http://schemas.microsoft.com/repl/" =
xmlns:mt=3D"http://schemas.microsoft.com/sharepoint/soap/meetings/" =
xmlns:x2=3D"http://schemas.microsoft.com/office/excel/2003/xml" =
xmlns:ppda=3D"http://www.passport.com/NameSpace.xsd" =
xmlns:ois=3D"http://schemas.microsoft.com/sharepoint/soap/ois/" =
xmlns:dir=3D"http://schemas.microsoft.com/sharepoint/soap/directory/" =
xmlns:ds=3D"http://www.w3.org/2000/09/xmldsig#" =
xmlns:dsp=3D"http://schemas.microsoft.com/sharepoint/dsp" =
xmlns:udc=3D"http://schemas.microsoft.com/data/udc" =
xmlns:xsd=3D"http://www.w3.org/2001/XMLSchema" =
xmlns:sub=3D"http://schemas.microsoft.com/sharepoint/soap/2002/1/alerts/"=
 xmlns:ec=3D"http://www.w3.org/2001/04/xmlenc#" =
xmlns:sp=3D"http://schemas.microsoft.com/sharepoint/" =
xmlns:sps=3D"http://schemas.microsoft.com/sharepoint/soap/" =
xmlns:xsi=3D"http://www.w3.org/2001/XMLSchema-instance" =
xmlns:udcs=3D"http://schemas.microsoft.com/data/udc/soap" =
xmlns:udcxf=3D"http://schemas.microsoft.com/data/udc/xmlfile" =
xmlns:udcp2p=3D"http://schemas.microsoft.com/data/udc/parttopart" =
xmlns:wf=3D"http://schemas.microsoft.com/sharepoint/soap/workflow/" =
xmlns:dsss=3D"http://schemas.microsoft.com/office/2006/digsig-setup" =
xmlns:dssi=3D"http://schemas.microsoft.com/office/2006/digsig" =
xmlns:mdssi=3D"http://schemas.openxmlformats.org/package/2006/digital-sig=
nature" =
xmlns:mver=3D"http://schemas.openxmlformats.org/markup-compatibility/2006=
" xmlns:m=3D"http://schemas.microsoft.com/office/2004/12/omml" =
xmlns:mrels=3D"http://schemas.openxmlformats.org/package/2006/relationshi=
ps" xmlns:spwp=3D"http://microsoft.com/sharepoint/webpartpages" =
xmlns:ex12t=3D"http://schemas.microsoft.com/exchange/services/2006/types"=
 =
xmlns:ex12m=3D"http://schemas.microsoft.com/exchange/services/2006/messag=
es" =
xmlns:pptsl=3D"http://schemas.microsoft.com/sharepoint/soap/SlideLibrary/=
" =
xmlns:spsl=3D"http://microsoft.com/webservices/SharePointPortalServer/Pub=
lishedLinksService" xmlns:Z=3D"urn:schemas-microsoft-com:" =
xmlns:st=3D"&#1;" xmlns=3D"http://www.w3.org/TR/REC-html40"><head><meta =
http-equiv=3DContent-Type content=3D"text/html; charset=3Dutf-8"><meta =
name=3DGenerator content=3D"Microsoft Word 12 (filtered =
medium)"><style><!--
/* Font Definitions */
@font-face
	{font-family:"Cambria Math";
	panose-1:2 4 5 3 5 4 6 3 2 4;}
@font-face
	{font-family:Calibri;
	panose-1:2 15 5 2 2 2 4 3 2 4;}
/* Style Definitions */
p.MsoNormal, li.MsoNormal, div.MsoNormal
	{margin:0cm;
	margin-bottom:.0001pt;
	font-size:11.0pt;
	font-family:"Calibri","sans-serif";}
a:link, span.MsoHyperlink
	{mso-style-priority:99;
	color:blue;
	text-decoration:underline;}
a:visited, span.MsoHyperlinkFollowed
	{mso-style-priority:99;
	color:purple;
	text-decoration:underline;}
span.E-MailFormatvorlage17
	{mso-style-type:personal-compose;
	font-family:"Calibri","sans-serif";
	color:windowtext;}
.MsoChpDefault
	{mso-style-type:export-only;}
@page WordSection1
	{size:612.0pt 792.0pt;
	margin:70.85pt 70.85pt 2.0cm 70.85pt;}
div.WordSection1
	{page:WordSection1;}
--></style><!--[if gte mso 9]><xml>
<o:shapedefaults v:ext=3D"edit" spidmax=3D"1026" />
</xml><![endif]--><!--[if gte mso 9]><xml>
<o:shapelayout v:ext=3D"edit">
<o:idmap v:ext=3D"edit" data=3D"1" />
</o:shapelayout></xml><![endif]--></head><body lang=3DDE-AT link=3Dblue =
vlink=3Dpurple><div class=3DWordSection1><p class=3DMsoNormal><span =
lang=3DEN-GB>Media Type Name: application<o:p></o:p></span></p><p =
class=3DMsoNormal><span lang=3DEN-GB><o:p>&nbsp;</o:p></span></p><p =
class=3DMsoNormal><span lang=3DEN-GB>Subtype name: =
vnd.iptc.g2.newsmessage+xml<o:p></o:p></span></p><p =
class=3DMsoNormal><span lang=3DEN-GB><o:p>&nbsp;</o:p></span></p><p =
class=3DMsoNormal><span lang=3DEN-GB>Required parameters: =
none<o:p></o:p></span></p><p class=3DMsoNormal><span =
lang=3DEN-GB><o:p>&nbsp;</o:p></span></p><p class=3DMsoNormal><span =
lang=3DEN-GB>Optional parameters: charset<o:p></o:p></span></p><p =
class=3DMsoNormal><span lang=3DEN-GB>identical to the charset parameter =
on application/xml as described<o:p></o:p></span></p><p =
class=3DMsoNormal><span lang=3DEN-GB>in RFC 3023 [RFC3023] section =
3.2<o:p></o:p></span></p><p class=3DMsoNormal><span =
lang=3DEN-GB><o:p>&nbsp;</o:p></span></p><p class=3DMsoNormal><span =
lang=3DEN-GB>Encoding considerations: Identical to those of =
application/xml as<o:p></o:p></span></p><p class=3DMsoNormal><span =
lang=3DEN-GB>described in RFC 3023, section 3.2<o:p></o:p></span></p><p =
class=3DMsoNormal><span lang=3DEN-GB><o:p>&nbsp;</o:p></span></p><p =
class=3DMsoNormal><span lang=3DEN-GB>Security considerations: In regards =
to general XML Security issues,<o:p></o:p></span></p><p =
class=3DMsoNormal><span lang=3DEN-GB>identical to those of =
&quot;application/xml&quot; as described in =
RFC3023,<o:p></o:p></span></p><p class=3DMsoNormal><span =
lang=3DEN-GB>section 10. Beyond these general XML Security issues, the =
media<o:p></o:p></span></p><p class=3DMsoNormal><span lang=3DEN-GB>type =
does not contain active or executable content. The =
information<o:p></o:p></span></p><p class=3DMsoNormal><span =
lang=3DEN-GB>contained in the media type does not require privacy or =
integrity<o:p></o:p></span></p><p class=3DMsoNormal><span =
lang=3DEN-GB>services, however the media type does support the use of =
the XML<o:p></o:p></span></p><p class=3DMsoNormal><span =
lang=3DEN-GB>syntax and processing rules for creating and representing =
digital<o:p></o:p></span></p><p class=3DMsoNormal><span =
lang=3DEN-GB>signatures as described by RFC3275.<o:p></o:p></span></p><p =
class=3DMsoNormal><span lang=3DEN-GB><o:p>&nbsp;</o:p></span></p><p =
class=3DMsoNormal><span lang=3DEN-GB>Interoperability =
considerations:<o:p></o:p></span></p><p class=3DMsoNormal><span =
lang=3DEN-GB><o:p>&nbsp;</o:p></span></p><p class=3DMsoNormal><span =
lang=3DEN-GB>Published specification:<o:p></o:p></span></p><p =
class=3DMsoNormal><span lang=3DEN-GB><o:p>&nbsp;</o:p></span></p><p =
class=3DMsoNormal><span lang=3DEN-GB>NewsML-G2 version 2.9 =
specifications<o:p></o:p></span></p><p class=3DMsoNormal><span =
lang=3DEN-GB><o:p>&nbsp;</o:p></span></p><p class=3DMsoNormal><span =
lang=3DEN-GB>http://www.iptc.org/std/NewsML-G2/2.9/specification/individu=
al/NewsML-G2_2.9-spec-NewsMessage-Core.xsd<o:p></o:p></span></p><p =
class=3DMsoNormal><span lang=3DEN-GB><o:p>&nbsp;</o:p></span></p><p =
class=3DMsoNormal><span lang=3DEN-GB>Or<o:p></o:p></span></p><p =
class=3DMsoNormal><span lang=3DEN-GB><o:p>&nbsp;</o:p></span></p><p =
class=3DMsoNormal><span =
lang=3DEN-GB>http://www.iptc.org/std/NewsML-G2/2.9/specification/individu=
al/NewsML-G2_2.9-spec-NewsMessage-Power.xsd<o:p></o:p></span></p><p =
class=3DMsoNormal><span lang=3DEN-GB><o:p>&nbsp;</o:p></span></p><p =
class=3DMsoNormal><span lang=3DEN-GB>Applications which use this media =
type: none<o:p></o:p></span></p><p class=3DMsoNormal><span =
lang=3DEN-GB><o:p>&nbsp;</o:p></span></p><p class=3DMsoNormal><span =
lang=3DEN-GB>Additional information:<o:p></o:p></span></p><p =
class=3DMsoNormal><span lang=3DEN-GB><o:p>&nbsp;</o:p></span></p><p =
class=3DMsoNormal><span lang=3DEN-GB>Magic number(s): =
none<o:p></o:p></span></p><p class=3DMsoNormal><span =
lang=3DEN-GB><o:p>&nbsp;</o:p></span></p><p class=3DMsoNormal>File =
extension(s): .xml<o:p></o:p></p><p =
class=3DMsoNormal><o:p>&nbsp;</o:p></p><p class=3DMsoNormal><span =
lang=3DEN-GB>Macintosh File Type Code(s): Identical to those =
of<o:p></o:p></span></p><p class=3DMsoNormal><span =
lang=3DEN-GB>&quot;application/xml&quot; as described in RFC3023, =
&quot;TEXT&quot;<o:p></o:p></span></p><p class=3DMsoNormal><span =
lang=3DEN-GB><o:p>&nbsp;</o:p></span></p><p class=3DMsoNormal><span =
lang=3DEN-GB>Windows Clipboard Flavor Name: &quot;IPTC NewsMessage =
XML&quot;<o:p></o:p></span></p><p class=3DMsoNormal><span =
lang=3DEN-GB><o:p>&nbsp;</o:p></span></p><p class=3DMsoNormal><span =
lang=3DEN-GB>Macintosh Uniform Type Identifier: org.iptc.newsmessage =
conforms to public.xml<o:p></o:p></span></p><p class=3DMsoNormal><span =
lang=3DEN-GB><o:p>&nbsp;</o:p></span></p><p class=3DMsoNormal><span =
lang=3DEN-GB>Object Identifier(s) or OID(s):<o:p></o:p></span></p><p =
class=3DMsoNormal><span lang=3DEN-GB>It must be possible to positively =
identify an Item as it moves<o:p></o:p></span></p><p =
class=3DMsoNormal><span lang=3DEN-GB>through the news workflow, and is =
transferred from place to place<o:p></o:p></span></p><p =
class=3DMsoNormal><span lang=3DEN-GB>and from system to system. An Item =
therefore gets a globally<o:p></o:p></span></p><p =
class=3DMsoNormal><span lang=3DEN-GB>unique identifier (guid), which is =
a persistent, universally unique<o:p></o:p></span></p><p =
class=3DMsoNormal><span lang=3DEN-GB>identifier, and a version which is =
incremented when the content of<o:p></o:p></span></p><p =
class=3DMsoNormal><span lang=3DEN-GB>the Item is updated. The first =
version is numbered 1: if the version<o:p></o:p></span></p><p =
class=3DMsoNormal><span lang=3DEN-GB>is not explicitly set, this value =
must be assumed by the recipient of<o:p></o:p></span></p><p =
class=3DMsoNormal><span lang=3DEN-GB>the Item. The guid is required to =
be in the form of a IRI. Any IRI<o:p></o:p></span></p><p =
class=3DMsoNormal><span lang=3DEN-GB>capable of acting as a globally =
unique identifier is accepted; the<o:p></o:p></span></p><p =
class=3DMsoNormal><span lang=3DEN-GB>IPTC provides a standard for this =
purpose in the form of an IETF RFC<o:p></o:p></span></p><p =
class=3DMsoNormal><span lang=3DEN-GB>[RFC-3085].<o:p></o:p></span></p><p =
class=3DMsoNormal><span lang=3DEN-GB><o:p>&nbsp;</o:p></span></p><p =
class=3DMsoNormal><span lang=3DEN-GB>Intended =
usage:<o:p></o:p></span></p><p class=3DMsoNormal><span =
lang=3DEN-GB><o:p>&nbsp;</o:p></span></p><p class=3DMsoNormal><span =
lang=3DEN-GB>A News Message is a wrapper of one or more IPTC G2 items =
for <o:p></o:p></span></p><p class=3DMsoNormal><span =
lang=3DEN-GB>distribution and transmission purposes. It provides =
transmission-specific <o:p></o:p></span></p><p class=3DMsoNormal><span =
lang=3DEN-GB>properties in a header which is shared by all included IPTC =
G2 items.<o:p></o:p></span></p><p class=3DMsoNormal><span =
lang=3DEN-GB><o:p>&nbsp;</o:p></span></p><p class=3DMsoNormal><span =
lang=3DEN-GB>Other Information/General Comment: =
none<o:p></o:p></span></p><p class=3DMsoNormal><span =
lang=3DEN-GB><o:p>&nbsp;</o:p></span></p><p class=3DMsoNormal><span =
lang=3DEN-GB>Person to contact for further =
information:<o:p></o:p></span></p><p class=3DMsoNormal>Name: Michael =
Steidl<o:p></o:p></p><p class=3DMsoNormal>E-mail: =
[email-masked]<o:p></o:p></p><p =
class=3DMsoNormal><o:p>&nbsp;</o:p></p><p class=3DMsoNormal><span =
lang=3DEN-GB>Author/Change controller:<o:p></o:p></span></p><p =
class=3DMsoNormal><span lang=3DEN-GB>Name: Michael =
Steidl<o:p></o:p></span></p><p class=3DMsoNormal>E-mail: =
[email-masked]<o:p></o:p></p><p =
class=3DMsoNormal><o:p>&nbsp;</o:p></p><p =
class=3DMsoNormal><o:p>&nbsp;</o:p></p><p =
class=3DMsoNormal><o:p>&nbsp;</o:p></p><p class=3DMsoNormal =
style=3D'text-autospace:none'><b><span =
style=3D'font-size:10.0pt;font-family:"Arial","sans-serif";color:#1F497D'=
>Michael Steidl<o:p></o:p></span></b></p><p class=3DMsoNormal =
style=3D'text-autospace:none'><span lang=3DEN-GB =
style=3D'font-size:10.0pt;font-family:"Arial","sans-serif";color:#1F497D'=
>Managing Director of the IPTC =
[[email-masked]]<o:p></o:p></span></p><p class=3DMsoNormal =
style=3D'text-autospace:none'><span lang=3DEN-GB =
style=3D'font-size:10.0pt;font-family:"Arial","sans-serif";color:#1F497D'=
>International Press Telecommunications Council <br>Web: </span><span =
style=3D'font-size:10.0pt;font-family:"Arial","sans-serif";color:#1F497D'=
><a href=3D"http://www.iptc.org/"><span lang=3DEN-GB =
style=3D'color:#1F497D'>www.iptc.org</span></a></span><span lang=3DEN-GB =
style=3D'font-size:10.0pt;font-family:"Arial","sans-serif";color:#1F497D'=
> - on Twitter </span><span =
style=3D'font-size:10.0pt;font-family:"Arial","sans-serif";color:#1F497D'=
><a href=3D"http://www.twitter.com/IPTC"><span lang=3DEN-GB =
style=3D'color:#1F497D'>@IPTC</span></a></span><span lang=3DEN-GB =
style=3D'font-size:10.0pt;font-family:"Arial","sans-serif";color:#1F497D'=
><o:p></o:p></span></p><p class=3DMsoNormal =
style=3D'text-autospace:none'><span lang=3DEN-GB =
style=3D'font-size:10.0pt;font-family:"Arial","sans-serif";color:#1F497D'=
>Business office address: <o:p></o:p></span></p><p class=3DMsoNormal =
style=3D'text-autospace:none'><span lang=3DEN-GB =
style=3D'font-size:10.0pt;font-family:"Arial","sans-serif";color:#1F497D'=
>20 Garrick Street, London WC2E 9BT, United =
Kingdom<o:p></o:p></span></p><p class=3DMsoNormal =
style=3D'text-autospace:none'><span lang=3DEN-GB =
style=3D'font-size:10.0pt;font-family:"Arial","sans-serif";color:#1F497D'=
>Registered in England, company no 101096<o:p></o:p></span></p><p =
class=3DMsoNormal><span =
lang=3DEN-GB><o:p>&nbsp;</o:p></span></p></div></body></html>
------=_NextPart_000_009E_01CC76AA.932364F0--

From: Bjoern Hoehrmann <[email-masked]>
To: Hannes Tschofenig <[email-masked]>
Date: Sun, 18 Sep 2011 21:29:18 +0200
Cc: ECRIT Org <[email-masked]>, [email-masked]
Subject: Re: [ietf-types] Request for review of Media Type 'application/lostsync+xml'

* Hannes Tschofenig wrote:
>   MIME media type name:  application
>
>
>   MIME subtype name:  lostsync+xml

This is based on an outdated version of the template, the current one is
in RFC 4288; some of the fields are named and organized differently.

>   Optional parameters:  charset
>
>      Indicates the character encoding of enclosed XML.
>
>
>   Encoding considerations:  Uses XML, which can employ 8-bit
>      characters, depending on the character encoding used.  See RFC
>      3023 [RFC3023], Section 3.2.

RFC 3023 should be referenced as specified in RFC 3023 section 7.1.

>   Additional information:
>
>      Magic Number:  None
>
>
>      File Extension:  .lostsyncxml
>
>
>      Macintosh file type code:  'TEXT'
>
>
>   Personal and email address for further information:  Hannes
>      Tschofenig, [email-masked]

(The rendering "Name <email>" is more often used for this.)
-- 
Björn Höhrmann · mailto:[email-masked] · http://bjoern.hoehrmann.de
Am Badedeich 7 · Telefon: +49(0)160/4415681 · http://www.bjoernsworld.de
25899 Dagebüll · PGP Pub. KeyID: 0xA4357E78 · http://www.websitedev.de/ 

From: Hannes Tschofenig <[email-masked]>
Date: Sat, 17 Sep 2011 21:01:07 +0300
To: [email-masked]
Cc: Hannes Tschofenig <[email-masked]>, ECRIT Org <[email-masked]>
Subject: [ietf-types] Request for review of Media Type 'application/lostsync+xml'

Hi all, 

draft-ietf-ecrit-lost-sync-12.txt is currently in IESG review. 
Please review its media type registration for application/lostsync+xml.

------

   MIME media type name:  application

   MIME subtype name:  lostsync+xml

   Mandatory parameters:  none

   Optional parameters:  charset

      Indicates the character encoding of enclosed XML.

   Encoding considerations:  Uses XML, which can employ 8-bit
      characters, depending on the character encoding used.  See RFC
      3023 [RFC3023], Section 3.2.

   Security considerations:  This content type is designed to carry LoST
      Syncronization protocol payloads.

   Interoperability considerations:  None

   Published specification:  RFCXXXX [NOTE TO IANA/RFC-EDITOR: Please
      replace XXXX with the RFC number of this specification.]

   Applications which use this media type:  Emergency and Location-based
      Systems

   Additional information:

      Magic Number:  None

      File Extension:  .lostsyncxml

      Macintosh file type code:  'TEXT'

   Personal and email address for further information:  Hannes
      Tschofenig, [email-masked]

   Intended usage:  LIMITED USE

   Author:

      This specification is a work item of the IETF ECRIT working group,
      with mailing list address <[email-masked]>.

   Change controller:

      The IESG <[email-masked]>

9.2. LoST Sync Relax NG Schema Registration

   URI:  urn:ietf:params:xml:schema:lostsync1

   Registrant Contact:  IETF ECRIT Working Group, Hannes Tschofenig
      ([email-masked]).

   Relax NG Schema:  The Relax NG schema to be registered is contained
      in Section 6.
      
-----

Please provide any comments by October 1st.

Thanks!

Ciao
Hannes

From: Bjoern Hoehrmann <[email-masked]>
To: [email-masked]
Date: Wed, 14 Sep 2011 20:01:41 +0200
Cc: ietf-types <[email-masked]>
Subject: Re: [ietf-types] Registration of media type application/rpki-ghostbusters

* Stewart Bryant wrote:
>Please review http://www.ietf.org/id/draft-ietf-sidr-ghostbusters-12.txt
>
>The IANA is requested to register the media type application/
>    rpki-ghostbusters as follows
>
>    MIME media type name: application
>    MIME subtype name: rpki-ghostbusters
>    Required parameters: None
>    Optional parameters: None
>    Encoding considerations: binary
>    Security considerations: Carries an RPKI Ghostbusters Record
>       [I-D.ietf-sidr-ghostbusters].
>    Interoperability considerations: None
>    Published specification: This document

This seems to lack a statement what content you use this label for, from
the document one might well think a vCard file that follows the rules in
the document could use this type.

>    Applications which use this media type: Any MIME-complaint transport

This should identify the class of applications (think "photo editing").

>    Additional information:
>       Magic number(s): None
>       File extension(s): .gbr
>       Macintosh File Type Code(s):
>    Person & email address to contact for further information:
>       Randy Bush <[email-masked]>
>    Intended usage: COMMON
>    Author/Change controller: Randy Bush <[email-masked]>

You are using an outdated template, the current one is in RFC 4288. Some
of the fields are named and/or organized differently.
-- 
Björn Höhrmann · mailto:[email-masked] · http://bjoern.hoehrmann.de
Am Badedeich 7 · Telefon: +49(0)160/4415681 · http://www.bjoernsworld.de
25899 Dagebüll · PGP Pub. KeyID: 0xA4357E78 · http://www.websitedev.de/ 

Date: Wed, 14 Sep 2011 18:48:02 +0100
From: Stewart Bryant <[email-masked]>
To: ietf-types <[email-masked]>
Subject: [ietf-types] Registration of media type application/rpki-ghostbusters
Reply-To: [email-masked]

Please review http://www.ietf.org/id/draft-ietf-sidr-ghostbusters-12.txt

The IANA is requested to register the media type application/
    rpki-ghostbusters as follows

    MIME media type name: application
    MIME subtype name: rpki-ghostbusters
    Required parameters: None
    Optional parameters: None
    Encoding considerations: binary
    Security considerations: Carries an RPKI Ghostbusters Record
       [I-D.ietf-sidr-ghostbusters].
    Interoperability considerations: None
    Published specification: This document
    Applications which use this media type: Any MIME-complaint transport
    Additional information:
       Magic number(s): None
       File extension(s): .gbr
       Macintosh File Type Code(s):
    Person & email address to contact for further information:
       Randy Bush <[email-masked]>
    Intended usage: COMMON
    Author/Change controller: Randy Bush <[email-masked]>

Thanks

Stewart